# TBasic3DImportFilter Class Reference
[Base Classes for plugins]

Inheritance diagram for TBasic3DImportFilter:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual uint32 MCCOMAPI | AddRef ()
virtual boolean MCCOMAPI | Prepare (IMCFile *file, I3DShScene *scene, I3DShTreeElement *fatherTree)
virtual boolean MCCOMAPI | WantsOptionDialog ()
virtual MCCOMErr MCCOMAPI | DoImport (IMCFile *file, I3DShScene *scene, I3DShTreeElement *fatherTree, TImportInfo *ioImportInfo)
virtual boolean MCCOMAPI | WantsTopScene ()
virtual MCCOMErr MCCOMAPI | DoImport (IMCFile *file, I3DShScene *scene, I3DShTreeElement *fatherTree)

## Detailed Description

Basic 3D Import Filter class. Derive from this for a default implementation of I3DExImportFilter

See also:
  I3DExImportFilter

## Member Function Documentation

virtual uint32 MCCOMAPI TBasic3DImportFilter::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TBasicDataExchanger.

virtual MCCOMErr MCCOMAPI TBasic3DImportFilter::DoImport | ( | IMCFile * | file,
|  | I3DShScene * | scene,
|  | I3DShTreeElement * | fatherTree |
| ) |  |  | `[virtual]`

virtual MCCOMErr MCCOMAPI TBasic3DImportFilter::DoImport | ( | IMCFile * | file,
|  | I3DShScene * | scene,
|  | I3DShTreeElement * | fatherTree,
|  | TImportInfo * | ioImportInfo |
| ) |  |  | `[inline, virtual]`

Imports a file into a scene. It is called either by using the File->Open or File->Import.

Parameters:

  | file | file that is imported
  | scene | the scene in which you want to add the content of the file
  | fatherTree | is the root of the imported scene. You should add all the imported instances/groups as child of it. If fatherTree is NULL, then you should import everything in the Universe of the scene.
  | ioImportInfo | Info for positioning the imported data in the scene (NULL for default placement)

Implements I3DExImportFilter.

virtual boolean MCCOMAPI TBasic3DImportFilter::Prepare | ( | IMCFile * | file,
|  | I3DShScene * | scene,
|  | I3DShTreeElement * | fatherTree |
| ) |  |  | `[virtual]`

Is called before the actual import starts. Usually you do not need to implement this method.

Parameters:

  | file | The file that is imported.
  | scene | The scene into which we import.
  | fatherTree | A pointer to the tree element under which the imported objects should be inserted.

Implements I3DExImportFilter.

virtual MCCOMErr MCCOMAPI TBasic3DImportFilter::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TBasicDataExchanger.

virtual boolean MCCOMAPI TBasic3DImportFilter::WantsOptionDialog | ( |  | ) | `[virtual]`

Returns true if an option dialog should be opened.

Implements I3DExImportFilter.

virtual boolean MCCOMAPI TBasic3DImportFilter::WantsTopScene | ( |  | ) | `[virtual]`

Called by the shell to determine if objects should placed directly in the scene or in a Master Group.

Note:
  This call is only used for "import"and not for "open".

Returns:
  True if the imported objects should be placed in the main scene. False if the imported objects should be placed in a master group.

Implements I3DExImportFilter.

The documentation for this class was generated from the following file:

- Basic3DImportExport.h